commit:     dae09804eb9667ec248d79633873983139b84212
Author:     Moritz Schlarb <moschlar <AT> metalabs <DOT> de>
AuthorDate: Wed May 10 19:53:53 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 20 18:54:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dae09804

net-misc/seafile: Version bump to 6.0.6

 net-misc/seafile/Manifest             |  1 +
 net-misc/seafile/seafile-6.0.6.ebuild | 36 +++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/net-misc/seafile/Manifest b/net-misc/seafile/Manifest
index d73cd6b18f4..7b5ea66d863 100644
--- a/net-misc/seafile/Manifest
+++ b/net-misc/seafile/Manifest
@@ -1 +1,2 @@
 DIST seafile-6.0.4.tar.gz 454474 SHA256 
b3919bff1e0f974483df129e500868332e752dec6380556839e006bf9d5b425e SHA512 
ca6b056238cf11c97c587cf353df2c0a820ecf8ea0faa23da008c6ea1ba731b41fe01d0142aa9406aa975e8386f68afe1cd76616c02a755d7a06a46596b30558
 WHIRLPOOL 
4ae21ef95484da8110ba6ef834465918dd7592d8931bf1f78e1a7934fe03352b0e799e75074aaa7563b724fe51ebd7b30df1fa8b40f92c2c9bbe793e9669eea0
+DIST seafile-6.0.6.tar.gz 823502 SHA256 
3f4e25211c301d18fa0ff0be0f9ba0fcbc2649a5092b10cdb960a78be2062aed SHA512 
da691b64d7e4bc59eea8d48b73fd57240acc4b9fbcb3ddbd9408c45ff5438012867b2186c5c3fd802a675a9146ffe097143d3632ef1c52627f9f3bab6d4194bb
 WHIRLPOOL 
07ba5ef3adbd6d92306825498f9a73adb9e72185921f18166c02bca82d4dd189020b0a3ef594133715ec4478110fc7452eeb69390afbcfdef34ce4560321af8b

diff --git a/net-misc/seafile/seafile-6.0.6.ebuild 
b/net-misc/seafile/seafile-6.0.6.ebuild
new file mode 100644
index 00000000000..1317706f5e4
--- /dev/null
+++ b/net-misc/seafile/seafile-6.0.6.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="File syncing and sharing software with file encryption and group 
sharing"
+HOMEPAGE="https://github.com/haiwen/seafile/ http://www.seafile.com/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       net-libs/libsearpc[${PYTHON_USEDEP}]
+       =net-libs/ccnet-${PV}[${PYTHON_USEDEP}]
+       >=dev-libs/glib-2.16.0:2
+       >=dev-libs/libevent-2.0
+       >=dev-libs/jansson-2.2.1
+       >=sys-libs/zlib-1.2.0
+       >=net-misc/curl-7.17
+       dev-libs/openssl:0=
+       dev-db/sqlite:3"
+DEPEND="${RDEPEND}
+       $(vala_depend)"
+
+src_prepare() {
+       default
+       sed -i -e 's/valac /${VALAC} /' lib/Makefile.am || die
+       eautoreconf
+       vala_src_prepare
+}

Reply via email to